Package org.globus.io.streams

# Class GlobusInputStream

java.lang.Object
java.io.InputStream
org.globus.io.streams.GlobusInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

Direct Known Subclasses:
  `FTPInputStream`, `GlobusFileInputStream`, `HTTPInputStream`

public abstract class GlobusInputStream extends InputStream

## Constructor Summary

Constructors
Constructor
Description
`GlobusInputStream()`

## Method Summary

Modifier and Type
Method
Description
`void`
`abort()`
Aborts transfer.
`long`
`getSize()`
Returns the total size of input data.
`int`
`read()`

### Methods inherited from class java.io.InputStream

`available, close, mark, markSupported, nullInputStream, read, read, readAllBytes, readNBytes, readNBytes, reset, skip, skipNBytes, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GlobusInputStream

public GlobusInputStream()

## Method Details

### getSize

public long getSize()
Returns the total size of input data.

Returns:
  -1 if size is unknown.

### read

public int read() throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

### abort

public void abort()
Aborts transfer. Usually makes sure to release all resources (sockets, file descriptors)
Does nothing by default.